---
title: "List Custom Fields"
description: "Returns all active custom field definitions for the organization."
---

`GET /api/custom-fields`

## Query Parameters

| Parameter | Type | Default | Description |
|-----------|------|---------|-------------|
| `organizationId` | number | session org | Override organization scope |

## Example (cURL)

```bash
curl -X GET "$BASE_URL/api/custom-fields" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Accept: application/json"
```

## Response

```json
[
  {
    "id": 1,
    "organizationId": 1,
    "name": "Data Center",
    "fieldKey": "data_center",
    "fieldType": "text",
    "isRequired": false,
    "displayOrder": 0,
    "options": [],
    "placeholder": "e.g. fsn1",
    "helpText": "Primary data center location",
    "showInTable": true,
    "isActive": true,
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  }
]
```

Only active fields (`isActive: true`) are returned, ordered by `displayOrder`.

